feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Logic

Synopsis

- not :: Data Bool -> Data Bool
- (&&) :: Data Bool -> Data Bool -> Data Bool
- (||) :: Data Bool -> Data Bool -> Data Bool
- (&&*) :: Data Bool -> Data Bool -> Data Bool
- (||*) :: Data Bool -> Data Bool -> Data Bool

# Documentation

not :: Data Bool -> Data Bool

(&&) :: Data Bool -> Data Bool -> Data Bool

(||) :: Data Bool -> Data Bool -> Data Bool

(&&*) :: Data Bool -> Data Bool -> Data Bool

Lazy conjunction, second argument only evaluated if necessary

(||*) :: Data Bool -> Data Bool -> Data Bool

Lazy disjunction, second argument only evaluated if necessary